Name: gplflash
Summary: Flash decoder, player, plugin
Version: 0.4.13
Release: alt1
License: GPL
URL: http://gplflash.sourceforge.net/
Group: Graphics
Requires: lib%name = %version-%release

Source: %name-%version.tar.bz2

Patch0: gplflash-0.4.13-version.patch
Patch1: gplflash-0.4.13-alsa.diff

# Automatically added by buildreq on Sun May 29 2005
BuildRequires: gcc-c++ libalsa-devel libjpeg-devel libmad-devel libstdc++-devel xorg-x11-devel zlib-devel browser-plugins-npapi-devel

%description
GPLFLash is based on Olivier Debon's original work, which hasn't had a 
release since June 2000. This project hopes to bring GPLFlash back as a 
free, portable and usable alternative to the flash-decoder released by 
Macromedia. The project contains a decoding library, a player and 
(perhaps most importantly) a mozilla/netscape plugin.

%package -n lib%name
Summary: Gplflash libraries 
Group: System/Libraries

%description -n lib%name
This package contains the library needed to run programs dynamically
linked with gplflash.

%package -n lib%name-devel
Summary: Headers for developing programs with gplflash
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the headers that programmers will need to develop
applications which will use gplflash.

%package -n mozilla-plugin-%name
Summary: Mozilla plugin for Flash rendering
Group: Networking/WWW
Requires: browser-plugins-npapi lib%name = %version-%release

%description -n mozilla-plugin-%name
Mozilla plugin for rendering of Flash animations

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%configure \
	--with-plugin-dir=%browser_plugins_path \
	--with-alsa
%make

%install
%make DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n %name
%doc AUTHORS NEWS COPYING README TODO
%_bindir/swfplayer

%files -n lib%name
%_libdir/libflash.so.*

%files -n lib%name-devel
%_libdir/libflash.so
%_includedir/flash.h

%files -n mozilla-plugin-%name
%browser_plugins_path/libnpflash.so

%changelog
* Sun May 29 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.4.13-alt1
- initial release

